Get funding settlements
Deprecated
/futures/funding-settlementsPublicDeprecated: use GET /perp/funding-settlements instead. Get the BTC/USD funding settlement history. A settlement happens every 8 hours (00:00, 08:00, 16:00 UTC). Paginated, newest first. See the Funding documentation for more information.
from?stringStart date, unix epoch 0 by default
date-time"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
date-time"2026-11-09T17:08:56.640Z"limit?integerNumber of entries to return, default to 1000
1 <= value <= 10001000cursor?stringCursor for pagination
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient()
const result = await client.futures.getFundingSettlements({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500
}){
"data": [
{
"id": "f0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"time": "2025-01-01T00:00:00.000Z",
"fixingPrice": 43250,
"fundingRate": 0.0001
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}Withdraw from cross margin POST
Deprecated: /futures is being replaced by the /perp API; this route has no /perp equivalent yet. Move amount sats from the cross margin account back to…
Get ticker GET
Deprecated: use GET /perp/ticker instead. Get the BTC/USD ticker: mark price (index), last price, executable prices by order size, 24h change and volume…